Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryObject

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_DirectoryObject

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryObject

public class S_DirectoryObject
extends S_TiePublicObject
implements DirectoryObjectInterface

The `S_DirectoryObject` class is the server side representation of an iFS user or group of users.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before freeing an object.
`S_DirectoryObject[]` | `getAllAncestors()` Gets all ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
`S_DirectoryObject[]` | `getAllMembers()` Gets all members belonging to this DIRECTORYOBJECT.
`S_DirectoryObject[]` | `getDirectAncestors()` Gets direct group ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
`S_DirectoryObject[]` | `getDirectMembers()` Gets the direct members of this DIRECTORYOBJECT.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreInsert, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getDirectMembers

    public S_DirectoryObject[] getDirectMembers()
                                         throws IfsException

  Gets the direct members of this DIRECTORYOBJECT.
  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if the operation fails

### getAllMembers

    public S_DirectoryObject[] getAllMembers()
                                      throws IfsException

  Gets all members belonging to this DIRECTORYOBJECT.
  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if the operation fails

### getDirectAncestors

    public S_DirectoryObject[] getDirectAncestors()
                                           throws IfsException

  Gets direct group ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
  Returns:
    array of S_DirectoryObject representing direct ancestors of a member.
  Throws:
    `IfsException` - if the operation fails

### getAllAncestors

    public S_DirectoryObject[] getAllAncestors()
                                        throws IfsException

  Gets all ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
  Returns:
    array of S_DirectoryObject representing ancestors of a member
  Throws:
    `IfsException` - if the operation fails

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Performs the necessary operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD